complete -c ferium -n "__fish_use_subcommand" -s t -l threads -d 'Sets the number of worker threads the tokio runtime will use. You can also use the environment variable `TOKIO_WORKER_THREADS`' -r
complete -c ferium -n "__fish_use_subcommand" -l github-token -l gh -d 'Set a GitHub personal access token for increasing the GitHub API rate limit. You can also use the environment variable `GITHUB_TOKEN`' -r
complete -c ferium -n "__fish_use_subcommand" -l curseforge-api-key -l cf -d 'Set a custom Curseforge API key. You can also use the environment variable `CURSEFORGE_API_KEY`' -r
complete -c ferium -n "__fish_use_subcommand" -s c -l config-file -l config -l conf -d 'Set the file to read the config from. This does not change the `cache` and `tmp` directories. You can also use the environment variable `FERIUM_CONFIG_FILE`' -r -F
complete -c ferium -n "__fish_use_subcommand" -s h -l help -d 'Print help'
complete -c ferium -n "__fish_use_subcommand" -s V -l version -d 'Print version'
complete -c ferium -n "__fish_use_subcommand" -f -a "add" -d 'Add mods to the profile'
complete -c ferium -n "__fish_use_subcommand" -f -a "scan" -d 'Scan the profile\'s output directory (or the specified directory) for mods and add them to the profile'
complete -c ferium -n "__fish_use_subcommand" -f -a "complete" -d 'Print shell auto completions for the specified shell'
complete -c ferium -n "__fish_use_subcommand" -f -a "list" -d 'List all the mods in the profile, and with some their metadata if verbose'
complete -c ferium -n "__fish_use_subcommand" -f -a "mods" -d 'List all the mods in the profile, and with some their metadata if verbose'
complete -c ferium -n "__fish_use_subcommand" -f -a "modpack" -d 'Add, configure, delete, switch, list, or upgrade modpacks'
complete -c ferium -n "__fish_use_subcommand" -f -a "modpacks" -d 'List all the modpacks with their data'
complete -c ferium -n "__fish_use_subcommand" -f -a "profile" -d 'Create, configure, delete, switch, or list profiles'
complete -c ferium -n "__fish_use_subcommand" -f -a "profiles" -d 'List all the profiles with their data'
complete -c ferium -n "__fish_use_subcommand" -f -a "remove" -d 'Remove mods and/or repositories from the profile. Optionally, provide a list of names or IDs of the mods to remove'
complete -c ferium -n "__fish_use_subcommand" -f -a "rm" -d 'Remove mods and/or repositories from the profile. Optionally, provide a list of names or IDs of the mods to remove'
complete -c ferium -n "__fish_use_subcommand" -f -a "upgrade" -d 'Download and install the latest compatible version of your mods'
complete -c ferium -n "__fish_use_subcommand" -f -a "download" -d 'Download and install the latest compatible version of your mods'
complete -c ferium -n "__fish_use_subcommand" -f -a "install" -d 'Download and install the latest compatible version of your mods'
complete -c ferium -n "__fish_use_subcommand" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c ferium -n "__fish_seen_subcommand_from add" -s f -l force -l override -d 'Temporarily ignore game version and mod loader checks and add the mod anyway'
complete -c ferium -n "__fish_seen_subcommand_from add" -s V -l ignore-game-version -d 'The game version will not be checked for this mod. Only works when adding a single mod'
complete -c ferium -n "__fish_seen_subcommand_from add" -s M -l ignore-mod-loader -d 'The mod loader will not be checked for this mod. Only works when adding a single mod'
complete -c ferium -n "__fish_seen_subcommand_from add" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c ferium -n "__fish_seen_subcommand_from scan" -s p -l platform -d 'The platform you prefer mods to be added from. If a mod isn\'t available from this platform, the other platform will still be used' -r -f -a "{modrinth	'',curseforge	''}"
complete -c ferium -n "__fish_seen_subcommand_from scan" -s d -l directory -l dir -l folder -d 'The directory to scan mods from. Defaults to the profile\'s output directory' -r -F
complete -c ferium -n "__fish_seen_subcommand_from scan" -s f -l force -l override -d 'Temporarily ignore game version and mod loader checks and add the mods anyway'
complete -c ferium -n "__fish_seen_subcommand_from scan" -s h -l help -d 'Print help'
complete -c ferium -n "__fish_seen_subcommand_from complete" -s h -l help -d 'Print help'
complete -c ferium -n "__fish_seen_subcommand_from list" -s v -l verbose -d 'Show additional information about the mod'
complete -c ferium -n "__fish_seen_subcommand_from list" -s m -l markdown -l md -d 'Output information in markdown format and alphabetical order'
complete -c ferium -n "__fish_seen_subcommand_from list" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c ferium -n "__fish_seen_subcommand_from mods" -s v -l verbose -d 'Show additional information about the mod'
complete -c ferium -n "__fish_seen_subcommand_from mods" -s m -l markdown -l md -d 'Output information in markdown format and alphabetical order'
complete -c ferium -n "__fish_seen_subcommand_from mods" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c ferium -n "__fish_seen_subcommand_from modpack; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from conf; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from download; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from help" -s h -l help -d 'Print help'
complete -c ferium -n "__fish_seen_subcommand_from modpack; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from conf; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from download; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from help" -f -a "add" -d 'Add a modpack to the config'
complete -c ferium -n "__fish_seen_subcommand_from modpack; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from conf; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from download; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from help" -f -a "configure" -d 'Configure the current modpack\'s output directory and installation of overrides. Optionally, provide the settings to change as arguments'
complete -c ferium -n "__fish_seen_subcommand_from modpack; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from conf; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from download; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from help" -f -a "config" -d 'Configure the current modpack\'s output directory and installation of overrides. Optionally, provide the settings to change as arguments'
complete -c ferium -n "__fish_seen_subcommand_from modpack; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from conf; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from download; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from help" -f -a "conf" -d 'Configure the current modpack\'s output directory and installation of overrides. Optionally, provide the settings to change as arguments'
complete -c ferium -n "__fish_seen_subcommand_from modpack; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from conf; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from download; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from help" -f -a "delete" -d 'Delete a modpack. Optionally, provide the name of the modpack to delete'
complete -c ferium -n "__fish_seen_subcommand_from modpack; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from conf; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from download; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from help" -f -a "remove" -d 'Delete a modpack. Optionally, provide the name of the modpack to delete'
complete -c ferium -n "__fish_seen_subcommand_from modpack; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from conf; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from download; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from help" -f -a "rm" -d 'Delete a modpack. Optionally, provide the name of the modpack to delete'
complete -c ferium -n "__fish_seen_subcommand_from modpack; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from conf; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from download; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from help" -f -a "info" -d 'Show information about the current modpack'
complete -c ferium -n "__fish_seen_subcommand_from modpack; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from conf; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from download; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from help" -f -a "list" -d 'List all the modpacks with their data'
complete -c ferium -n "__fish_seen_subcommand_from modpack; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from conf; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from download; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from help" -f -a "switch" -d 'Switch between different modpacks. Optionally, provide the name of the modpack to switch to'
complete -c ferium -n "__fish_seen_subcommand_from modpack; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from conf; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from download; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from help" -f -a "upgrade" -d 'Download and install the latest version of the modpack'
complete -c ferium -n "__fish_seen_subcommand_from modpack; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from conf; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from download; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from help" -f -a "download" -d 'Download and install the latest version of the modpack'
complete -c ferium -n "__fish_seen_subcommand_from modpack; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from conf; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from download; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from help" -f -a "install" -d 'Download and install the latest version of the modpack'
complete -c ferium -n "__fish_seen_subcommand_from modpack; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from conf; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from download; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c ferium -n "__fish_seen_subcommand_from modpack; and __fish_seen_subcommand_from add" -s o -l output-dir -d 'The Minecraft instance directory to install the modpack to' -r -f -a "(__fish_complete_directories)"
complete -c ferium -n "__fish_seen_subcommand_from modpack; and __fish_seen_subcommand_from add" -s i -l install-overrides -d 'Whether to install the modpack\'s overrides to the output directory. This will override existing files when upgrading' -r -f -a "{true	'',false	''}"
complete -c ferium -n "__fish_seen_subcommand_from modpack; and __fish_seen_subcommand_from add" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c ferium -n "__fish_seen_subcommand_from modpack; and __fish_seen_subcommand_from configure" -s o -l output-dir -d 'The Minecraft instance directory to install the modpack to' -r -f -a "(__fish_complete_directories)"
complete -c ferium -n "__fish_seen_subcommand_from modpack; and __fish_seen_subcommand_from configure" -s i -l install-overrides -d 'Whether to install the modpack\'s overrides to the output directory. This will override existing files when upgrading' -r -f -a "{true	'',false	''}"
complete -c ferium -n "__fish_seen_subcommand_from modpack; and __fish_seen_subcommand_from configure" -s h -l help -d 'Print help'
complete -c ferium -n "__fish_seen_subcommand_from modpack; and __fish_seen_subcommand_from config" -s o -l output-dir -d 'The Minecraft instance directory to install the modpack to' -r -f -a "(__fish_complete_directories)"
complete -c ferium -n "__fish_seen_subcommand_from modpack; and __fish_seen_subcommand_from config" -s i -l install-overrides -d 'Whether to install the modpack\'s overrides to the output directory. This will override existing files when upgrading' -r -f -a "{true	'',false	''}"
complete -c ferium -n "__fish_seen_subcommand_from modpack; and __fish_seen_subcommand_from config" -s h -l help -d 'Print help'
complete -c ferium -n "__fish_seen_subcommand_from modpack; and __fish_seen_subcommand_from conf" -s o -l output-dir -d 'The Minecraft instance directory to install the modpack to' -r -f -a "(__fish_complete_directories)"
complete -c ferium -n "__fish_seen_subcommand_from modpack; and __fish_seen_subcommand_from conf" -s i -l install-overrides -d 'Whether to install the modpack\'s overrides to the output directory. This will override existing files when upgrading' -r -f -a "{true	'',false	''}"
complete -c ferium -n "__fish_seen_subcommand_from modpack; and __fish_seen_subcommand_from conf" -s h -l help -d 'Print help'
complete -c ferium -n "__fish_seen_subcommand_from modpack; and __fish_seen_subcommand_from delete" -s s -l switch-to -d 'The name of the profile to switch to afterwards' -r
complete -c ferium -n "__fish_seen_subcommand_from modpack; and __fish_seen_subcommand_from delete" -s h -l help -d 'Print help'
complete -c ferium -n "__fish_seen_subcommand_from modpack; and __fish_seen_subcommand_from remove" -s s -l switch-to -d 'The name of the profile to switch to afterwards' -r
complete -c ferium -n "__fish_seen_subcommand_from modpack; and __fish_seen_subcommand_from remove" -s h -l help -d 'Print help'
complete -c ferium -n "__fish_seen_subcommand_from modpack; and __fish_seen_subcommand_from rm" -s s -l switch-to -d 'The name of the profile to switch to afterwards' -r
complete -c ferium -n "__fish_seen_subcommand_from modpack; and __fish_seen_subcommand_from rm" -s h -l help -d 'Print help'
complete -c ferium -n "__fish_seen_subcommand_from modpack; and __fish_seen_subcommand_from info" -s h -l help -d 'Print help'
complete -c ferium -n "__fish_seen_subcommand_from modpack; and __fish_seen_subcommand_from list" -s h -l help -d 'Print help'
complete -c ferium -n "__fish_seen_subcommand_from modpack; and __fish_seen_subcommand_from switch" -s h -l help -d 'Print help'
complete -c ferium -n "__fish_seen_subcommand_from modpack; and __fish_seen_subcommand_from upgrade" -s h -l help -d 'Print help'
complete -c ferium -n "__fish_seen_subcommand_from modpack; and __fish_seen_subcommand_from download" -s h -l help -d 'Print help'
complete -c ferium -n "__fish_seen_subcommand_from modpack; and __fish_seen_subcommand_from install" -s h -l help -d 'Print help'
complete -c ferium -n "__fish_seen_subcommand_from modpack; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from help" -f -a "add" -d 'Add a modpack to the config'
complete -c ferium -n "__fish_seen_subcommand_from modpack; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from help" -f -a "configure" -d 'Configure the current modpack\'s output directory and installation of overrides. Optionally, provide the settings to change as arguments'
complete -c ferium -n "__fish_seen_subcommand_from modpack; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from help" -f -a "delete" -d 'Delete a modpack. Optionally, provide the name of the modpack to delete'
complete -c ferium -n "__fish_seen_subcommand_from modpack; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from help" -f -a "info" -d 'Show information about the current modpack'
complete -c ferium -n "__fish_seen_subcommand_from modpack; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from help" -f -a "list" -d 'List all the modpacks with their data'
complete -c ferium -n "__fish_seen_subcommand_from modpack; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from help" -f -a "switch" -d 'Switch between different modpacks. Optionally, provide the name of the modpack to switch to'
complete -c ferium -n "__fish_seen_subcommand_from modpack; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from help" -f -a "upgrade" -d 'Download and install the latest version of the modpack'
complete -c ferium -n "__fish_seen_subcommand_from modpack; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c ferium -n "__fish_seen_subcommand_from modpacks" -s h -l help -d 'Print help'
complete -c ferium -n "__fish_seen_subcommand_from profile; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from conf; and not __fish_seen_subcommand_from create; and not __fish_seen_subcommand_from new; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from help" -s h -l help -d 'Print help'
complete -c ferium -n "__fish_seen_subcommand_from profile; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from conf; and not __fish_seen_subcommand_from create; and not __fish_seen_subcommand_from new; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from help" -f -a "configure" -d 'Configure the current profile\'s name, Minecraft version, mod loader, and output directory. Optionally, provide the settings to change as arguments'
complete -c ferium -n "__fish_seen_subcommand_from profile; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from conf; and not __fish_seen_subcommand_from create; and not __fish_seen_subcommand_from new; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from help" -f -a "config" -d 'Configure the current profile\'s name, Minecraft version, mod loader, and output directory. Optionally, provide the settings to change as arguments'
complete -c ferium -n "__fish_seen_subcommand_from profile; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from conf; and not __fish_seen_subcommand_from create; and not __fish_seen_subcommand_from new; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from help" -f -a "conf" -d 'Configure the current profile\'s name, Minecraft version, mod loader, and output directory. Optionally, provide the settings to change as arguments'
complete -c ferium -n "__fish_seen_subcommand_from profile; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from conf; and not __fish_seen_subcommand_from create; and not __fish_seen_subcommand_from new; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from help" -f -a "create" -d 'Create a new profile. Optionally, provide the settings as arguments. Use the import flag to import mods from another profile'
complete -c ferium -n "__fish_seen_subcommand_from profile; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from conf; and not __fish_seen_subcommand_from create; and not __fish_seen_subcommand_from new; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from help" -f -a "new" -d 'Create a new profile. Optionally, provide the settings as arguments. Use the import flag to import mods from another profile'
complete -c ferium -n "__fish_seen_subcommand_from profile; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from conf; and not __fish_seen_subcommand_from create; and not __fish_seen_subcommand_from new; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from help" -f -a "delete" -d 'Delete a profile. Optionally, provide the name of the profile to delete'
complete -c ferium -n "__fish_seen_subcommand_from profile; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from conf; and not __fish_seen_subcommand_from create; and not __fish_seen_subcommand_from new; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from help" -f -a "remove" -d 'Delete a profile. Optionally, provide the name of the profile to delete'
complete -c ferium -n "__fish_seen_subcommand_from profile; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from conf; and not __fish_seen_subcommand_from create; and not __fish_seen_subcommand_from new; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from help" -f -a "rm" -d 'Delete a profile. Optionally, provide the name of the profile to delete'
complete -c ferium -n "__fish_seen_subcommand_from profile; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from conf; and not __fish_seen_subcommand_from create; and not __fish_seen_subcommand_from new; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from help" -f -a "info" -d 'Show information about the current profile'
complete -c ferium -n "__fish_seen_subcommand_from profile; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from conf; and not __fish_seen_subcommand_from create; and not __fish_seen_subcommand_from new; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from help" -f -a "list" -d 'List all the profiles with their data'
complete -c ferium -n "__fish_seen_subcommand_from profile; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from conf; and not __fish_seen_subcommand_from create; and not __fish_seen_subcommand_from new; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from help" -f -a "switch" -d 'Switch between different profiles. Optionally, provide the name of the profile to switch to'
complete -c ferium -n "__fish_seen_subcommand_from profile; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from conf; and not __fish_seen_subcommand_from create; and not __fish_seen_subcommand_from new; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c ferium -n "__fish_seen_subcommand_from profile; and __fish_seen_subcommand_from configure" -s v -l game-version -d 'The Minecraft version to check compatibility for' -r
complete -c ferium -n "__fish_seen_subcommand_from profile; and __fish_seen_subcommand_from configure" -s m -l mod-loader -d 'The mod loader to check compatibility for' -r -f -a "{quilt	'',fabric	'',forge	'',neo-forge	''}"
complete -c ferium -n "__fish_seen_subcommand_from profile; and __fish_seen_subcommand_from configure" -s n -l name -d 'The name of the profile' -r
complete -c ferium -n "__fish_seen_subcommand_from profile; and __fish_seen_subcommand_from configure" -s o -l output-dir -d 'The directory to output mods to' -r -f -a "(__fish_complete_directories)"
complete -c ferium -n "__fish_seen_subcommand_from profile; and __fish_seen_subcommand_from configure" -s h -l help -d 'Print help'
complete -c ferium -n "__fish_seen_subcommand_from profile; and __fish_seen_subcommand_from config" -s v -l game-version -d 'The Minecraft version to check compatibility for' -r
complete -c ferium -n "__fish_seen_subcommand_from profile; and __fish_seen_subcommand_from config" -s m -l mod-loader -d 'The mod loader to check compatibility for' -r -f -a "{quilt	'',fabric	'',forge	'',neo-forge	''}"
complete -c ferium -n "__fish_seen_subcommand_from profile; and __fish_seen_subcommand_from config" -s n -l name -d 'The name of the profile' -r
complete -c ferium -n "__fish_seen_subcommand_from profile; and __fish_seen_subcommand_from config" -s o -l output-dir -d 'The directory to output mods to' -r -f -a "(__fish_complete_directories)"
complete -c ferium -n "__fish_seen_subcommand_from profile; and __fish_seen_subcommand_from config" -s h -l help -d 'Print help'
complete -c ferium -n "__fish_seen_subcommand_from profile; and __fish_seen_subcommand_from conf" -s v -l game-version -d 'The Minecraft version to check compatibility for' -r
complete -c ferium -n "__fish_seen_subcommand_from profile; and __fish_seen_subcommand_from conf" -s m -l mod-loader -d 'The mod loader to check compatibility for' -r -f -a "{quilt	'',fabric	'',forge	'',neo-forge	''}"
complete -c ferium -n "__fish_seen_subcommand_from profile; and __fish_seen_subcommand_from conf" -s n -l name -d 'The name of the profile' -r
complete -c ferium -n "__fish_seen_subcommand_from profile; and __fish_seen_subcommand_from conf" -s o -l output-dir -d 'The directory to output mods to' -r -f -a "(__fish_complete_directories)"
complete -c ferium -n "__fish_seen_subcommand_from profile; and __fish_seen_subcommand_from conf" -s h -l help -d 'Print help'
complete -c ferium -n "__fish_seen_subcommand_from profile; and __fish_seen_subcommand_from create" -s i -l import -l copy -l duplicate -d 'Copy over the mods from an existing profile. Optionally, provide the name of the profile to import mods from' -r
complete -c ferium -n "__fish_seen_subcommand_from profile; and __fish_seen_subcommand_from create" -s v -l game-version -d 'The Minecraft version to check compatibility for' -r
complete -c ferium -n "__fish_seen_subcommand_from profile; and __fish_seen_subcommand_from create" -s m -l mod-loader -d 'The mod loader to check compatibility for' -r -f -a "{quilt	'',fabric	'',forge	'',neo-forge	''}"
complete -c ferium -n "__fish_seen_subcommand_from profile; and __fish_seen_subcommand_from create" -s n -l name -d 'The name of the profile' -r
complete -c ferium -n "__fish_seen_subcommand_from profile; and __fish_seen_subcommand_from create" -s o -l output-dir -d 'The directory to output mods to' -r -f -a "(__fish_complete_directories)"
complete -c ferium -n "__fish_seen_subcommand_from profile; and __fish_seen_subcommand_from create" -s h -l help -d 'Print help'
complete -c ferium -n "__fish_seen_subcommand_from profile; and __fish_seen_subcommand_from new" -s i -l import -l copy -l duplicate -d 'Copy over the mods from an existing profile. Optionally, provide the name of the profile to import mods from' -r
complete -c ferium -n "__fish_seen_subcommand_from profile; and __fish_seen_subcommand_from new" -s v -l game-version -d 'The Minecraft version to check compatibility for' -r
complete -c ferium -n "__fish_seen_subcommand_from profile; and __fish_seen_subcommand_from new" -s m -l mod-loader -d 'The mod loader to check compatibility for' -r -f -a "{quilt	'',fabric	'',forge	'',neo-forge	''}"
complete -c ferium -n "__fish_seen_subcommand_from profile; and __fish_seen_subcommand_from new" -s n -l name -d 'The name of the profile' -r
complete -c ferium -n "__fish_seen_subcommand_from profile; and __fish_seen_subcommand_from new" -s o -l output-dir -d 'The directory to output mods to' -r -f -a "(__fish_complete_directories)"
complete -c ferium -n "__fish_seen_subcommand_from profile; and __fish_seen_subcommand_from new" -s h -l help -d 'Print help'
complete -c ferium -n "__fish_seen_subcommand_from profile; and __fish_seen_subcommand_from delete" -s s -l switch-to -d 'The name of the profile to switch to afterwards' -r
complete -c ferium -n "__fish_seen_subcommand_from profile; and __fish_seen_subcommand_from delete" -s h -l help -d 'Print help'
complete -c ferium -n "__fish_seen_subcommand_from profile; and __fish_seen_subcommand_from remove" -s s -l switch-to -d 'The name of the profile to switch to afterwards' -r
complete -c ferium -n "__fish_seen_subcommand_from profile; and __fish_seen_subcommand_from remove" -s h -l help -d 'Print help'
complete -c ferium -n "__fish_seen_subcommand_from profile; and __fish_seen_subcommand_from rm" -s s -l switch-to -d 'The name of the profile to switch to afterwards' -r
complete -c ferium -n "__fish_seen_subcommand_from profile; and __fish_seen_subcommand_from rm" -s h -l help -d 'Print help'
complete -c ferium -n "__fish_seen_subcommand_from profile; and __fish_seen_subcommand_from info" -s h -l help -d 'Print help'
complete -c ferium -n "__fish_seen_subcommand_from profile; and __fish_seen_subcommand_from list" -s h -l help -d 'Print help'
complete -c ferium -n "__fish_seen_subcommand_from profile; and __fish_seen_subcommand_from switch" -s h -l help -d 'Print help'
complete -c ferium -n "__fish_seen_subcommand_from profile; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from create; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from help" -f -a "configure" -d 'Configure the current profile\'s name, Minecraft version, mod loader, and output directory. Optionally, provide the settings to change as arguments'
complete -c ferium -n "__fish_seen_subcommand_from profile; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from create; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from help" -f -a "create" -d 'Create a new profile. Optionally, provide the settings as arguments. Use the import flag to import mods from another profile'
complete -c ferium -n "__fish_seen_subcommand_from profile; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from create; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from help" -f -a "delete" -d 'Delete a profile. Optionally, provide the name of the profile to delete'
complete -c ferium -n "__fish_seen_subcommand_from profile; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from create; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from help" -f -a "info" -d 'Show information about the current profile'
complete -c ferium -n "__fish_seen_subcommand_from profile; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from create; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from help" -f -a "list" -d 'List all the profiles with their data'
complete -c ferium -n "__fish_seen_subcommand_from profile; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from create; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from help" -f -a "switch" -d 'Switch between different profiles. Optionally, provide the name of the profile to switch to'
complete -c ferium -n "__fish_seen_subcommand_from profile; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from create; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c ferium -n "__fish_seen_subcommand_from profiles" -s h -l help -d 'Print help'
complete -c ferium -n "__fish_seen_subcommand_from remove" -s h -l help -d 'Print help'
complete -c ferium -n "__fish_seen_subcommand_from rm" -s h -l help -d 'Print help'
complete -c ferium -n "__fish_seen_subcommand_from upgrade" -s h -l help -d 'Print help'
complete -c ferium -n "__fish_seen_subcommand_from download" -s h -l help -d 'Print help'
complete -c ferium -n "__fish_seen_subcommand_from install" -s h -l help -d 'Print help'
complete -c ferium -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from scan; and not __fish_seen_subcommand_from complete; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from modpack; and not __fish_seen_subcommand_from modpacks; and not __fish_seen_subcommand_from profile; and not __fish_seen_subcommand_from profiles; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from help" -f -a "add" -d 'Add mods to the profile'
complete -c ferium -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from scan; and not __fish_seen_subcommand_from complete; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from modpack; and not __fish_seen_subcommand_from modpacks; and not __fish_seen_subcommand_from profile; and not __fish_seen_subcommand_from profiles; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from help" -f -a "scan" -d 'Scan the profile\'s output directory (or the specified directory) for mods and add them to the profile'
complete -c ferium -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from scan; and not __fish_seen_subcommand_from complete; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from modpack; and not __fish_seen_subcommand_from modpacks; and not __fish_seen_subcommand_from profile; and not __fish_seen_subcommand_from profiles; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from help" -f -a "complete" -d 'Print shell auto completions for the specified shell'
complete -c ferium -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from scan; and not __fish_seen_subcommand_from complete; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from modpack; and not __fish_seen_subcommand_from modpacks; and not __fish_seen_subcommand_from profile; and not __fish_seen_subcommand_from profiles; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from help" -f -a "list" -d 'List all the mods in the profile, and with some their metadata if verbose'
complete -c ferium -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from scan; and not __fish_seen_subcommand_from complete; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from modpack; and not __fish_seen_subcommand_from modpacks; and not __fish_seen_subcommand_from profile; and not __fish_seen_subcommand_from profiles; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from help" -f -a "modpack" -d 'Add, configure, delete, switch, list, or upgrade modpacks'
complete -c ferium -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from scan; and not __fish_seen_subcommand_from complete; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from modpack; and not __fish_seen_subcommand_from modpacks; and not __fish_seen_subcommand_from profile; and not __fish_seen_subcommand_from profiles; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from help" -f -a "modpacks" -d 'List all the modpacks with their data'
complete -c ferium -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from scan; and not __fish_seen_subcommand_from complete; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from modpack; and not __fish_seen_subcommand_from modpacks; and not __fish_seen_subcommand_from profile; and not __fish_seen_subcommand_from profiles; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from help" -f -a "profile" -d 'Create, configure, delete, switch, or list profiles'
complete -c ferium -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from scan; and not __fish_seen_subcommand_from complete; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from modpack; and not __fish_seen_subcommand_from modpacks; and not __fish_seen_subcommand_from profile; and not __fish_seen_subcommand_from profiles; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from help" -f -a "profiles" -d 'List all the profiles with their data'
complete -c ferium -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from scan; and not __fish_seen_subcommand_from complete; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from modpack; and not __fish_seen_subcommand_from modpacks; and not __fish_seen_subcommand_from profile; and not __fish_seen_subcommand_from profiles; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from help" -f -a "remove" -d 'Remove mods and/or repositories from the profile. Optionally, provide a list of names or IDs of the mods to remove'
complete -c ferium -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from scan; and not __fish_seen_subcommand_from complete; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from modpack; and not __fish_seen_subcommand_from modpacks; and not __fish_seen_subcommand_from profile; and not __fish_seen_subcommand_from profiles; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from help" -f -a "upgrade" -d 'Download and install the latest compatible version of your mods'
complete -c ferium -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from scan; and not __fish_seen_subcommand_from complete; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from modpack; and not __fish_seen_subcommand_from modpacks; and not __fish_seen_subcommand_from profile; and not __fish_seen_subcommand_from profiles; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from upgrade; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c ferium -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from modpack; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from upgrade" -f -a "add" -d 'Add a modpack to the config'
complete -c ferium -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from modpack; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from upgrade" -f -a "configure" -d 'Configure the current modpack\'s output directory and installation of overrides. Optionally, provide the settings to change as arguments'
complete -c ferium -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from modpack; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from upgrade" -f -a "delete" -d 'Delete a modpack. Optionally, provide the name of the modpack to delete'
complete -c ferium -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from modpack; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from upgrade" -f -a "info" -d 'Show information about the current modpack'
complete -c ferium -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from modpack; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from upgrade" -f -a "list" -d 'List all the modpacks with their data'
complete -c ferium -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from modpack; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from upgrade" -f -a "switch" -d 'Switch between different modpacks. Optionally, provide the name of the modpack to switch to'
complete -c ferium -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from modpack; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch; and not __fish_seen_subcommand_from upgrade" -f -a "upgrade" -d 'Download and install the latest version of the modpack'
complete -c ferium -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from profile; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from create; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch" -f -a "configure" -d 'Configure the current profile\'s name, Minecraft version, mod loader, and output directory. Optionally, provide the settings to change as arguments'
complete -c ferium -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from profile; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from create; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch" -f -a "create" -d 'Create a new profile. Optionally, provide the settings as arguments. Use the import flag to import mods from another profile'
complete -c ferium -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from profile; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from create; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch" -f -a "delete" -d 'Delete a profile. Optionally, provide the name of the profile to delete'
complete -c ferium -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from profile; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from create; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch" -f -a "info" -d 'Show information about the current profile'
complete -c ferium -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from profile; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from create; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch" -f -a "list" -d 'List all the profiles with their data'
complete -c ferium -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from profile; and not __fish_seen_subcommand_from configure; and not __fish_seen_subcommand_from create; and not __fish_seen_subcommand_from delete; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from switch" -f -a "switch" -d 'Switch between different profiles. Optionally, provide the name of the profile to switch to'
